 
package xyz.veronie.bgg.ui.handlers;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;

import xyz.veronie.bgg.result.ThingProvider;
import xyz.veronie.bgg.ui.dialogs.SaveGameListDialog;

public class HandleSaveGamelist {

	
//	@Inject
	ThingProvider thingProvider;
	
	public HandleSaveGamelist(ThingProvider thingProvider) {
		this.thingProvider = thingProvider;
	}
	
	@Execute
	public void execute(Shell shell) {
		
		SaveGameListDialog saveDialog = new SaveGameListDialog(shell);
		saveDialog.open();

		int returnCode = saveDialog.getReturnCode();
		if(returnCode == Dialog.OK) {
			String listName = saveDialog.getEntryText();

			if(listName == null || listName == "") {
				MessageBox msgBox = new MessageBox(shell, SWT.ICON_WARNING | SWT.OK);
				msgBox.open();
			}		
			
			thingProvider.storeList(listName);
		}
		// ignore cancel
	}
	
	
	@CanExecute
	public boolean canExecute() {
		return thingProvider != null;
	}
		
}
